* {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    margin: 0;
    background: #0b1120;
    color: white;
    font-family: Arial, sans-serif;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 20px 8%;

    border-bottom: 1px solid #1e293b;

    position: sticky;
    top: 0;

    background: #0b1120ee;
    backdrop-filter: blur(10px);
}

nav h2 {
    margin: 0;
}

nav a {
    color: black;
    text-decoration: none;
    margin-left: 25px;
}

nav a:hover {
    color: rgb(76, 76, 76);
}

main {
    max-width: 1100px;
    margin: auto;
    padding: 0 25px;
}

.hero {
    min-height: 75vh;

    display: flex;
    flex-direction: column;
    justify-content: center;

    max-width: 750px;
}

.small {
    color: #94a3b8;
    letter-spacing: 2px;
    font-size: 0.8rem;
}

h1 {
    font-size: 4rem;
    margin: 10px 0;
}

.hero .intro {
    font-size: 1.3rem;
    line-height: 1.6;
    color: #cbd5e1;
}

button {
    width: fit-content;

    padding: 14px 24px;

    border: none;
    border-radius: 10px;

    background: white;
    color: #0b1120;

    font-size: 1rem;
    font-weight: bold;

    cursor: pointer;

    margin-top: 15px;
}

button:hover {
    transform: translateY(-2px);
}

a {    width: fit-content;

    padding: 14px 24px;

    border: none;
    border-radius: 10px;

    background: white;
    color: #0b1120;

    font-size: 1rem;
    font-weight: bold;

    cursor: pointer;

    margin-top: 15px;

    text-decoration: none;
}

a:hover {
    transform: translateY(-2px);
}

section {
    padding: 80px 0;
}

section > h2 {
    font-size: 2rem;
    margin-bottom: 30px;
}

.projects {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.card,
.commit {
    padding: 25px;

    background: #111827;
    border: 1px solid #1e293b;
    border-radius: 15px;
}

.card {
    transition: transform 0.2s;
}

.card:hover {
    transform: translateY(-5px);
}

.card p,
.commit p,
#about p {
    color: #cbd5e1;
    line-height: 1.6;
}

.card span {
    display: inline-block;

    margin-top: 10px;
    padding: 6px 10px;

    background: #1e293b;
    border-radius: 6px;

    font-size: 0.8rem;
}

footer {
    text-align: center;
    padding: 40px;

    color: #64748b;
    border-top: 1px solid #1e293b;
}

@media (max-width: 700px) {

    nav {
        flex-direction: column;
        gap: 15px;
    }

    nav a {
        margin: 0 8px;
    }

    h1 {
        font-size: 3rem;
    }

    .projects {
        grid-template-columns: 1fr;
    }
}
